-- This file is loaded from "ShowBuffCaster.toc"

--Change log:
-----------------
--Version: 1.0.0
--Date:2015/02/14
--Initial release
-----------------
--version: 1.0.1
--Date:2015/02/15
--Added class colouring for the caster's name

hooksecurefunc(GameTooltip, "SetUnitAura", function(self, unit, index, filter)
	local _, _, _, _, _, _, _, caster = UnitAura(unit, index, filter)
	local name = caster and UnitName(caster)
	if name then
		local casterClass =  (select(2, UnitClass(caster))) 
		local classColor = RAID_CLASS_COLORS[casterClass]
		if classColor then
			self:AddDoubleLine("Casted by:", name, nil, nil, nil, classColor.r, classColor.g, classColor.b)
		else
			self:AddDoubleLine("Casted by:", name, nil, nil, nil, 1, 1, 1)
		end
		self:Show()
	end
end)
